<?php
/*
APPLICATION ATELIERPHP-e-signets - version 3.3	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require ("../admin/variables.php");   
require("../fonctions/fonction_mysql_die.php");
require("../fonctions/fonction_creation_tables.php");
//
?>
<html>
<head>
<title>e_signets version <?php  echo $version ?></title>
<META http-equiv="Content-Language" content="fr">
<META http-equiv="Content-Type" content="text/html; charset=utf-8">
<META name="lang" content="fr">
<META name="keywords" content="signets,bookmarks,favoris">
<META name="description" content="Une application en PHP pour mettre vos signets sur Internet">
<META name="rating" content="General">
<META name="ROBOTS" content="ALL">
<META name="revisit-after" content="120 days">
<LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
</head>
<body>
<?php 
$liste_couleurs = array(
"#FF0000","#FF0033","#FF0066","#FF0099","#FF00CC","#FF00FF","#FF3300","#FF3333","#FF3366","#FF3399","#FF33CC","#FF33FF",
"#FF6600","#FF6633","#FF6666","#FF6699","#FF66CC","#FF66FF","#FF9900","#FF9933","#FF9966","#FF9999","#FF99CC","#FF99FF",
"#FFCC00","#FFCC33","#FFCC66","#FFCC99","#FFCCCC","#FFCCFF","#FFFF00","#FFFF33","#FFFF66","#FFFF99","#FFFFCC","#FFFFFF",
"#CC0000","#CC0033","#CC0066","#CC0099","#CC00CC","#CC00FF","#CC3300","#CC3333","#CC3366","#CC3399","#CC33CC","#CC33FF",
"#CC6600","#CC6633","#CC6666","#CC6699","#CC66CC","#CC66FF","#CC9900","#CC9933","#CC9966","#CC9999","#CC99CC","#CC99FF",
"#CCCC00","#CCCC33","#CCCC66","#CCCC99","#CCCCCC","#CCCCFF","#CCFF00","#CCFF33","#CCFF66","#CCFF99","#CCFFCC","#CCFFFF",
"#990000","#990033","#990066","#990099","#9900CC","#9900FF","#993300","#993333","#993366","#993399","#9933CC","#9933FF",
"#996600","#996633","#996666","#996699","#9966CC","#9966FF","#999900","#999933","#999966","#999999","#9999CC","#9999FF",
"#99CC00","#99CC33","#99CC66","#99CC99","#99CCCC","#99CCFF","#99FF00","#99FF33","#99FF66","#99FF99","#99FFCC","#99FFFF",
"#660000","#660033","#660066","#660099","#6600CC","#6600FF","#663300","#663333","#663366","#663399","#6633CC","#6633FF",
"#666600","#666633","#666666","#666699","#6666CC","#6666FF","#669900","#669933","#669966","#669999","#6699CC","#6699FF",
"#66CC00","#66CC33","#66CC66","#66CC99","#66CCCC","#66CCFF","#66FF00","#66FF33","#66FF66","#66FF99","#66FFCC","#66FFFF",
"#330000","#330033","#330066","#330099","#3300CC","#3300FF","#333300","#333333","#333366","#333399","#3333CC","#3333FF",
"#336600","#336633","#336666","#336699","#3366CC","#3366FF","#339900","#339933","#339966","#339999","#3399CC","#3399FF",
"#33CC00","#33CC33","#33CC66","#33CC99","#33CCCC","#33CCFF","#33FF00","#33FF33","#33FF66","#33FF99","#33FFCC","#33FFFF",
"#000000","#000033","#000066","#000099","#0000CC","#0000FF","#003300","#003333","#003366","#003399","#0033CC","#0033FF",
"#006600","#006633","#006666","#006699","#0066CC","#0066FF","#009900","#009933","#009966","#009999","#0099CC","#0099FF",
"#00CC00","#00CC33","#00CC66","#00CC99","#00CCCC","#00CCFF","#00FF00","#00FF33","#00FF66","#00FF99","#00FFCC","#00FFFF","Pas de couleur");
$liste_couleurs_2 = array (
	'bleu ciel' => "00FFFF",'bleu' => "0000FF",'gris' => "808080",'noir' => "000000",'vert' => "00FF00",
	'vert foncé' => "008000",'argent' => "C0C0C0",'olive' => "808000",'blanc' => "FFFFFF",'jaune' => "FFFF00",
	'marron' => "800000",'bleu marrine' => "000080",'rouge' => "FF0000",'pourpre' => "800080",
	'vert foncé' => "008080",'fuchsia' => "FF00FF");
$liste_polices = array (
	'times'=>"Times New Roman",'arial'=>"Arial",'comic'=>"Comic Sans MS",'courier'=>"Courier New",
	'georgia'=>"Georgia",'impact'=>"Impact",'trebuchet'=>"Trebuchet MS",'verdana'=>"Verdana");
$count=0;
((isset($_SESSION['administrateur']) and $_SESSION['administrateur'] == $curDir) or 
 (isset($_SESSION['utilisateur']) and $_SESSION['utilisateur'] == $curDir) or 
   (isset($_SESSION['install_err_status']) and $_SESSION['install_err_status']==5))?print " ":exit();
echo "<blockquote>";
//récupération des valeurs déjà actives
if (mysql_table_exists($titles_tablename, $mysql_db))
{
  $query = "SELECT * FROM $titles_tablename  " ;
	$style 				= mysql_query($query) ;
	$row_title			= mysql_fetch_array($style);
	$style_sheet 		= $row_title['title_style_sheet'];
	$style_nb 			= $row_title['title_style_sheet'];
	$style_disposition 	= $row_title['title_disposition_page'];
	$titre 				= $row_title['title_title'];
	$sous_titre 		= $row_title['title_sub_title'];
	$image_titre  		= $row_title['title_image'];
}
if (!isset($_POST['title_disposition_page']) or !isset($_POST['title_style_sheet']))
{
     lecture_dossier("images","images_titre");
     echo "<h3>Donner un titre et/ou un sous-titre à votre page de liens : </h3>";
     echo "<FORM ACTION=$_SERVER[PHP_SELF] METHOD=post>";
     echo "<table class='form_1' cellspacing=5 border=0>" ;
// Titre  -----------------------------------------------------------------------------------------------------------------------------
     echo "<tr><th colspan=3>
          Titre de la page (100 caractères max)(*)</td><td colspan=2><input type = 'text' name='titre_page' size=70  maxlength=100 value=".'"'.stripslashes($row_title['title_title']).'"'."></th></tr>";
// Titre : taille de police et attribits de police -----------------------------------------------------------------------------------
     echo "<tr><th colspan=3>
          Taille et atributs pour les caractères du titre</td><td colspan=2>
		  <SELECT NAME=title_font_size>";
	  for($size=6;$size<=46;$size++) 
		{
			if ($row_title['title_font_size'] == $size)
			{
				echo "<OPTION value=".$size." SELECTED >$size </OPTION>";
			}
			else
			{
				echo "<OPTION value=".$size.">$size</OPTION>";
			}
		}
	echo "</select>";
	$row_title['title_font_bold'] == "bold" ? $checked = "checked" : $checked="";
	echo "<input type='checkbox' name='title_font_bold' value='bold' $checked>Gras  </input>";
	$row_title['title_font_bold_2'] == "bolder" ? $checked = "checked" : $checked="";
	echo "<input type='checkbox' name='title_font_bold_2' value='bolder'  $checked>Très gras  </input>";
	$row_title['title_font_underline'] == "underline" ? $checked = "checked" : $checked="";
	echo "<input type='checkbox' name='title_font_underline' value='underline'  $checked>Souligné  </input>"; 
	$row_title['title_font_italic'] == "italic" ? $checked = "checked" : $checked="";
	echo "<input type='checkbox' name='title_font_italic' value='italic' $checked>Italique  </input>";
	$row_title['title_position'] == "left" ? $checked = "checked" : $checked="";
	echo "<input type='radio' name='title_position' value='left' $checked>Gauche </input>";
	$row_title['title_position'] == "center" ? $checked = "checked" : $checked="";
	echo "<input type='radio' name='title_position' value='center'  $checked>Centré </input>";
	$row_title['title_position'] == "right" ? $checked = "checked" : $checked="";
	echo "<input type='radio' name='title_position' value='right'  $checked>Droite </input></td></tr>";  
// Sous-Titre  -----------------------------------------------------------------------------------------------------------------------------
	 echo "<tr><th colspan=3>
          Sous-titre à donner à la page </td><td colspan=2><input type = 'text' name='sous_titre_page' size=70 maxlength=100 value=".'"'.stripslashes($row_title['title_sub_title']).'"'."></th></tr>";
// Sous-Titre : taille de police et attributs de police --------------------------------------------------------------------------------------
     echo "<tr><th colspan=3>
          Taille et atributs pour les caractères du titre</td><td colspan=2>
		  <SELECT NAME=sub_title_font_size>";
	  for($size=6;$size<=26;$size++) 
		{
			if ($row_title['title_sub_title_font_size'] == $size)
			{
				echo "<OPTION value=".$size." SELECTED >$size </OPTION>";
			}
			else
			{
				echo "<OPTION value=".$size.">$size</OPTION>";
			}
		}
	echo "</select>"; 
	$row_title['title_sub_title_font_bold'] == "bold" ? $checked = "checked" : $checked="";
	echo "<input type='checkbox' name='sub_title_font_bold' value='bold' $checked>Gras  </input>";
	$row_title['title_sub_title_font_bold_2'] == "bolder" ? $checked = "checked" : $checked="";
	echo "<input type='checkbox' name='sub_title_font_bold_2' value='bolder' $checked>Très gras  </input>";
	$row_title['title_sub_title_font_underline'] == "underline" ? $checked = "checked" : $checked="";
	echo "<input type='checkbox' name='sub_title_font_underline' value='underline' $checked>Souligné  </input>"; 
	$row_title['title_sub_title_font_italic'] == "italic" ? $checked = "checked" : $checked="";
	echo "<input type='checkbox' name='sub_title_font_italic' value='italic' $checked>Italique </input>"; 
	$row_title['title_sub_title_position'] == "left" ? $checked = "checked" : $checked="";
	echo "<input type='radio' name='title_sub_title_position' value='left' $checked>Gauche </input>";
	$row_title['title_sub_title_position'] == "center" ? $checked = "checked" : $checked="";
	echo "<input type='radio' name='title_sub_title_position' value='center'  $checked>Centré </input>";
	$row_title['title_sub_title_position'] == "right" ? $checked = "checked" : $checked="";
	echo "<input type='radio' name='title_sub_title_position' value='right'  $checked>Droite </input></td></tr>";  
//Couleur des caractères du titre et sous-titre --------------------------------------------------------------------------------
	echo "<tr><th colspan=3>
		  Couleur des caractères du titre et sous-titre :</th><td><table><tr>";
	foreach ($liste_couleurs_2 as $value) 
	{
		if ($row_title['title_font_color'] == $value)
		{
			echo "<td><input type='radio' name=font_color value=$value checked></td><td bgcolor=$value>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>";

		}
		else
		{
			echo "<td><input type='radio' name=font_color value=$value></td><td bgcolor=$value>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>";
		}
        if ( ($count+1)%5 == 0)
          {
          echo "</tr><tr>";
          }  
		$count++;
    }
	$count=0;
	echo "</td></tr></table><tr><th colspan=3>Police pour le titre et sous-titre :</th><td>";
//Polices de  caractères du titre et sous-titre --------------------------------------------------------------------------------
	foreach ($liste_polices as $key=>$value) 
	{
		if ($row_title['title_font_name'] == $value)
		{
			echo "<input type='radio' name=font_name value=".'"'.$value.'"'." checked><img src =../images/images_polices/".$key.".png width=60 height=20 title=$value>|";  
		}
		else
		{
			echo "<input type='radio' name=font_name value=".'"'.$value.'"'."><img src =../images/images_polices/".$key.".png width=60 height=20 title=$value>|";  
		}
        if ( ($count+1)%4 == 0)
          {
          echo "<br />";
          }
		$count++;
    }
//Image de fond --------------------------------------------------------------------------------------------
	echo "<tr><td colspan=3><b>Image de fond pour le titre</b>(facultatif) <br />
      (si vous avez votre propre image (100x40px), <br>
       la mettre dans le dossier /images/images_titre)</td>
      <td colspan=2>";
    for ($count=0;$count<=count($tableau_images)-1 ;$count++)
      {
		if ($row_title['title_image'] == $tableau_images[$count])
		{
			echo "<input type='radio' name=title_image value=$tableau_images[$count] checked>
			<img src =../images/images_titre/$tableau_images[$count] width=60 height=20 title=$tableau_images[$count]>|";  
		}
		else
		{
			echo "<input type='radio' name=title_image value=$tableau_images[$count]>
			<img src =../images/images_titre/$tableau_images[$count] width=60 height=20 title=$tableau_images[$count]>|";  
		}
        if ( ($count+1)%5 == 0)
          {
          echo "<br />";
          }  
      }
?>    </td></tr>
<!--Couleur de fond si pas d'image de fond ou non répétée-------------------------------------------------------------------------------->
	  <tr><td colspan=3>Ou choisir ici une couleur de fond</td><td>	
      <SELECT NAME=title_background_color>";
<?php
    foreach ($liste_couleurs as $value) 
	{
		if ($row_title['title_background_color'] == $value)
		{
			?>
			<style> 
				.maclass_<?php echo substr($value,1,6)?>{background-color : <?php echo $value?>;TEXT-DECORATION:underline;font-size:large} 
			</style>
			<OPTION value="<?php echo $value?>" class="maclass_<?php echo substr($value,1,6)?>"  SELECTED><?php echo $value?> __________________</OPTION>
		   <?php
		}
		else
		{
			?>
			<style> 
				.maclass_<?php echo substr($value,1,6)?>{background-color : <?php echo $value?>;TEXT-DECORATION:underline;font-size:large} 
			</style>
			<OPTION value="<?php echo $value?>" class="maclass_<?php echo substr($value,1,6)?>"><?php echo $value?> __________________</OPTION>
		   <?php
		}
	}
?>
</select>
      </td></tr> 
<!-- Disposition des colonnes	   ------------------------------------------------------------------------------------------>
      <tr><td>
</td></tr>	  
    <!--- Disposition tableau/mixte/menu -->
    <tr><td colspan=7><hr 100%></td></tr>
    <tr><th colspan=3>Disposition de la page des signets (*):</th>
      		<TD colspan=2><input type="radio" name="title_disposition_page" value="tableau" <?php if ($style_disposition=="tableau") echo 'checked' ;?>> 
            &nbsp;&nbsp;Tableau &nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/disposition_tableau.jpg','Disposition_tableau',',,,,,,,,width=1000,height=380')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A>&nbsp;&nbsp;&nbsp;&nbsp;
		      <input type="radio" name="title_disposition_page" value="mixte" <?php if ($style_disposition=="mixte") echo 'checked' ;?> >
            &nbsp;&nbsp;Mixte&nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/disposition_mixte.jpg','Disposition_mixte',',,,,,,,,width=1000,height=380')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A>&nbsp;&nbsp;&nbsp;&nbsp;
		      <input type="radio" name="title_disposition_page" value="menu" <?php if ($style_disposition=="menu") echo 'checked' ;?> >
            &nbsp;&nbsp;Menu&nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/disposition_menu.jpg','Disposition_menu',',,,,,,,,width=1000,height=380')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A></td></tr>
    <tr><td colspan=7><hr 100%></td></tr>
<!--Disposition de l'image de fond --->
    <tr><th colspan=3>Disposition de l'image de fond:</th>
      <td colspan=3>
      <input type="radio" name="title_image_repeat" value="repeat-x" <?php if ($row_title['title_image_repeat']=="repeat-x") echo 'checked' ;?> >&nbsp;Répéter
      <input type="radio" name="title_image_repeat" value="no-repeat" <?php if ($row_title['title_image_repeat']=="no-repeat") echo 'checked' ;?> >&nbsp;Ne pas répéter&nbsp;&nbsp;&nbsp;
      <input type="radio" name="title_image_left_right" value="top left" <?php if ($row_title['title_image_left_right']=="top left") echo 'checked' ;?> >&nbsp;Gauche
      <input type="radio" name="title_image_left_right" value="top center" <?php if ($row_title['title_image_left_right']=="top center") echo 'checked' ;?> >&nbsp;Centre
      <input type="radio" name="title_image_left_right" value="top right" <?php if ($row_title['title_image_left_right']=="top right") echo 'checked' ;?> >&nbsp;Droite
            </td></tr>
      <tr><td colspan=6><hr 100%></td></tr>
      <tr>
      <tr><th colspan=3 rowspan=8>Couleurs (*):</th>
      		<TD><input type="radio" name="title_style_sheet" value="01" <?php if ($style_nb=="01") echo 'checked' ;?>> 
            &nbsp;&nbsp;Style 01 : bleu &nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/images_titre/voir_style_01.jpg','bleu',',,,,,,,,width=400,height=100')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A></td></tr>
		      <TD><input type="radio" name="title_style_sheet" value="02" <?php if ($style_nb=="02") echo 'checked' ;?> >
            &nbsp;&nbsp;Style 02 : vert &nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/images_titre/voir_style_02.jpg','vert',',,,,,,,,width=400,height=100')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A></td></tr>
		      <TD><input type="radio" name="title_style_sheet" value="03" <?php if ($style_nb=="03") echo 'checked' ;?> >
            &nbsp;&nbsp;Style 03 : violet/rose &nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/images_titre/voir_style_03.jpg','violet',',,,,,,,,width=400,height=100')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A></td></tr>
		      <TD><input type="radio" name="title_style_sheet" value="04" <?php if ($style_nb=="04") echo 'checked' ;?> >
            &nbsp;&nbsp;Style 04 : violet/jaune &nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/images_titre/voir_style_04.jpg','violet',',,,,,,,,width=400,height=100')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A></td></tr>
		      <TD><input type="radio" name="title_style_sheet" value="05" <?php if ($style_nb=="05") echo 'checked' ;?> >
            &nbsp;&nbsp;Style 05 : vert &nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/images_titre/voir_style_05.jpg','vert',',,,,,,,,width=400,height=100')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A></td></tr>
		      <TD><input type="radio" name="title_style_sheet" value="06" <?php if ($style_nb=="06") echo 'checked' ;?> >
            &nbsp;&nbsp;Style 06 : bleu/jaune &nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/images_titre/voir_style_06.jpg','bleu_jaune',',,,,,,,,width=400,height=100')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A></td></tr>
		      <TD><input type="radio" name="title_style_sheet" value="07" <?php if ($style_nb=="07") echo 'checked' ;?> >
            &nbsp;&nbsp;Style 07 : rouge/ocre &nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/images_titre/voir_style_07.jpg','rouge_ocre',',,,,,,,,width=400,height=100')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A></td></tr>
		      <TD><input type="radio" name="title_style_sheet" value="08" <?php if ($style_nb=="08") echo 'checked' ;?> >
            &nbsp;&nbsp;Style 08 : jaune &nbsp;&nbsp;<A href="#" 
            onClick="fenetre_1x=window.open('../images/images_titre/voir_style_08.jpg','jaune',',,,,,,,,width=400,height=100')">Voir</A>
            <A href="#" onClick="fenetre_1x.close()">Cacher</A></td></tr>
  </td></tr>
	<tr CLASS=Alt1><TD colspan=5><DIV ALIGN=left> * : champs obligatoires </div><DIV ALIGN=RIGHT><br>
    <INPUT TYPE=submit NAME=Login value=" valider " ></div></td></tr>
    </form>
    </TABLE>
<?php
}
else 
{
// création table du titre de l'applicationhttp://localhost/weblocal/e-signets_site/e-signets_V3_3/images/images_titre/!style_03.jpg
    //si l'utilisateur n'a pas choisi d'image, on en met un
    if (!isset($_REQUEST['title_image']))
    {
  		$_REQUEST['title_image'] = "!style_".$_POST['title_style_sheet'].".jpg";
    }
   //on vide la table qui ne doit contenir qu'une ligne
	create_table_titre($titles_tablename);
    $titre = addslashes($_REQUEST["titre_page"]);
    $sous_titre = addslashes($_REQUEST["sous_titre_page"]);
    !isset($_REQUEST['title_image_repeat'])?$_REQUEST['title_image_repeat']="repeat-x":print"";
    !isset($_REQUEST['title_image_left_right'])?$_REQUEST['title_image_left_right']="left":print"";
    !isset($_REQUEST['font_color'])?$_REQUEST['font_color']="black":print"";
    !isset($_REQUEST['font_name'])?$_REQUEST['font_name']="Arial":print"";
    !isset($_REQUEST['title_font_size'])?$_REQUEST['title_font_size']="12":print"";
    !isset($_REQUEST['sub_title_font_size'])?$_REQUEST['sub_title_font_size']="10":print"";
    !isset($_REQUEST['title_font_underline'])?$_REQUEST['title_font_underline']="":print"";
    !isset($_REQUEST['title_font_bold'])?$_REQUEST['title_font_bold']="":print"";
    !isset($_REQUEST['title_font_bold_2'])?$_REQUEST['title_font_bold_2']="":print"";
    !isset($_REQUEST['title_font_italic'])?$_REQUEST['title_font_italic']="":print"";
    !isset($_REQUEST['sub_title_font_underline'])?$_REQUEST['sub_title_font_underline']="":print"";
    !isset($_REQUEST['sub_title_font_bold'])?$_REQUEST['sub_title_font_bold']="":print"";
    !isset($_REQUEST['sub_title_font_bold_2'])?$_REQUEST['sub_title_font_bold_2']="":print"";
    !isset($_REQUEST['sub_title_font_italic'])?$_REQUEST['sub_title_font_italic']="":print"";
	!isset($_REQUEST['title_position'])?$_REQUEST['title_position']="center":print"";
	!isset($_REQUEST['title_sub_title_position'])?$_REQUEST['title_sub_title_position']="center":print"";
	$query = "INSERT INTO $titles_tablename
	         (title_title , 
			  title_position  ,
			  title_image ,
			  title_image_repeat, 
			  title_image_left_right, 
              title_font_color,
			  title_font_name,
			  title_font_size,
			  title_font_bold,
			  title_font_bold_2,
			  title_font_italic,
			  title_font_underline,
              title_background_color,
			  title_sub_title, 
			  title_sub_title_position, 
			  title_sub_title_font_color, 
			  title_sub_title_font_name, 
			  title_sub_title_font_size, 
			  title_sub_title_font_bold, 
			  title_sub_title_font_bold_2, 
			  title_sub_title_font_italic, 
			  title_sub_title_font_underline, 
			  title_style_sheet, 
			  title_disposition_page)
	                 VALUES
	        ('$titre', 
			 '$_REQUEST[title_position]'  ,
			 '$_REQUEST[title_image]', 
			 '$_REQUEST[title_image_repeat]', 
			 '$_REQUEST[title_image_left_right]' ,
			 '$_REQUEST[font_color]' ,
			 '$_REQUEST[font_name]',
			 '$_REQUEST[title_font_size]',
			 '$_REQUEST[title_font_bold]',
			 '$_REQUEST[title_font_bold_2]',
			 '$_REQUEST[title_font_italic]',
			 '$_REQUEST[title_font_underline]',
			 '$_REQUEST[title_background_color]' ,
             '$sous_titre' ,
			 '$_REQUEST[title_sub_title_position]'  ,
			 '$_REQUEST[font_color]' ,
			 '$_REQUEST[font_name]',
			 '$_REQUEST[sub_title_font_size]',
			 '$_REQUEST[sub_title_font_bold]',
			 '$_REQUEST[sub_title_font_bold_2]',
			 '$_REQUEST[sub_title_font_italic]',
			 '$_REQUEST[sub_title_font_underline]',
			 '$_POST[title_style_sheet]', 
			 '$_POST[title_disposition_page]')";
	   $result = mysql_query($query) or mysql_die();
	   if($result) 
	   {		
    echo "Le style de page N° $_POST[title_style_sheet] sera dorénavent appliqué, avec la disposition en $_POST[title_disposition_page] <br /><p></p>
		<b>Pensez à sauvegarder votre mise en page au moyen du menu d'administration, option 'Maintenance', 'sauvegarder les signets et la mise en page' </b>";
		}
		else
		{
       echo "<br />Problème lors de l'écriture des titres";
    }
}

if (!isset($_SESSION['install_err_status']))
{
  print "<p></p><a href=../admin/admin_utilisateur.php>Accès menu d'administration </a><p>";
}
else
{
  $sql="show tables;";
  $result = mysql_query($sql);
  while ($ligne = mysql_fetch_row($result))
  {
   //table des catégories vide ?
   if   (strpos($ligne[0],"titre"))
   {
 	   $sql_2 = "SELECT * FROM $ligne[0]";
     $result_2 = mysql_query($sql_2);
     $nb_records = mysql_num_rows($result_2);       	   
     if ($nb_records > 0)  
     {
      print "<p></p><a href=../signets_lire/signets_lire.php><font color=green>Titre inséré, poursuivre l'installation ...  </a></font><p>";
     }
    }
  }
}
require ("../pied_de_page/pied_de_page.php");
?>

<?php
function lecture_dossier($dossier,$sous_dossier)
{
  global $tableau_images;
  $allDir_3 = opendir("../$dossier/$sous_dossier/");// ouvre le répertoire courrant
  //on déroule les dossier pour afficher les sous-catégories
  while($entryName_3 = readdir($allDir_3))
  {
    if ($entryName_3 != "index.html" and $entryName_3 != ".." and $entryName_3 != "." and substr($entryName_3,0,4) != "voir")
  	{
  		 $tableau_images[] = $entryName_3;
    }
  }
  sort($tableau_images);
}
?>
</body>
</html>
